org.eclipse.ease.ui.scripts.keywordhandler

## Class CommandContributionItem

- java.lang.Object
- - org.eclipse.jface.action.ContributionItem
  - - org.eclipse.ease.ui.scripts.keywordhandler.CommandContributionItem

All Implemented Interfaces:
  IContributionItem

Direct Known Subclasses:
  ScriptContributionItem

    public class CommandContributionItem
    extends ContributionItem

A contribution item which delegates to a command. It can be used in `AbstractContributionFactory.createContributionItems(IServiceLocator, IContributionRoot)`.

It currently supports placement in menus and toolbars.

This class may be instantiated; it is not intended to be subclassed.

Since:
  3.3

### Field Summary

Fields
`static int` `MODE_FORCE_TEXT` Mode bit: Show text on tool items or buttons, even if an image is present.
`static int` `STYLE_CHECK` A checked tool item or menu item.
`static int` `STYLE_PULLDOWN` A ToolBar pulldown item.
`static int` `STYLE_PUSH` A push button tool item or menu item.
`static int` `STYLE_RADIO` A radio-button style menu item.

### Constructor Summary

Constructors
Constructor and Description
`CommandContributionItem(CommandContributionItemParameter contributionParameters)` Create a CommandContributionItem to place in a ContributionManager.
`CommandContributionItem(IServiceLocator serviceLocator, java.lang.String id, java.lang.String commandId, java.util.Map parameters, ImageDescriptor icon, ImageDescriptor disabledIcon, ImageDescriptor hoverIcon, java.lang.String label, java.lang.String mnemonic, java.lang.String tooltip, int style)` Deprecated. create the `CommandContributionItemParameter`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `dispose()`
`void` `fill(Composite parent)`
`void` `fill(Menu parent, int index)`
`void` `fill(ToolBar parent, int index)`
`ParameterizedCommand` `getCommand()` Returns the ParameterizedCommand for this contribution.
`CommandContributionItemParameter` `getData()` Provide info on the rendering data contained in this item.
`boolean` `isEnabled()`
`boolean` `isVisible()`
`void` `setIcon(ImageDescriptor desc)`
`void` `setLabel(java.lang.String label)`
`void` `setParent(IContributionManager parent)`
`void` `update()`
`void` `update(java.lang.String id)`

### Methods inherited from class org.eclipse.jface.action.ContributionItem

`fill, getId, getParent, isDirty, isDynamic, isGroupMarker, isSeparator, saveWidgetState, setId, setVisible, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### STYLE_PUSH

    public static final int STYLE_PUSH

A push button tool item or menu item.

See Also:
  Constant Field Values

#### STYLE_CHECK

    public static final int STYLE_CHECK

A checked tool item or menu item.

See Also:
  Constant Field Values

#### STYLE_RADIO

    public static final int STYLE_RADIO

A radio-button style menu item.

See Also:
  Constant Field Values

#### STYLE_PULLDOWN

    public static final int STYLE_PULLDOWN

A ToolBar pulldown item.

See Also:
  Constant Field Values

#### MODE_FORCE_TEXT

    public static int MODE_FORCE_TEXT

Mode bit: Show text on tool items or buttons, even if an image is present. If this mode bit is not set, text is only shown on tool items if there is no image present.

Since:
  3.4

### Constructor Detail

#### CommandContributionItem

    public CommandContributionItem(CommandContributionItemParameter contributionParameters)

Create a CommandContributionItem to place in a ContributionManager.

Parameters:
  `contributionParameters` - parameters necessary to render this contribution item.
Since:
  3.4

#### CommandContributionItem

    @Deprecated
    public CommandContributionItem(IServiceLocator serviceLocator,
                                               java.lang.String id,
                                               java.lang.String commandId,
                                               java.util.Map parameters,
                                               ImageDescriptor icon,
                                               ImageDescriptor disabledIcon,
                                               ImageDescriptor hoverIcon,
                                               java.lang.String label,
                                               java.lang.String mnemonic,
                                               java.lang.String tooltip,
                                               int style)

Deprecated. create the `CommandContributionItemParameter`
Create a CommandContributionItem to place in a ContributionManager.

Parameters:
  `serviceLocator` - a service locator that is most appropriate for this contribution. Typically the local `IWorkbenchWindow` or `IWorkbenchPartSite` will be sufficient.
  `id` - The id for this item. May be `null`. Items without an id cannot be referenced later.
  `commandId` - A command id for a defined command. Must not be `null`.
  `parameters` - A map of strings to strings which represent parameter names to values. The parameter names must match those in the command definition.
  `icon` - An icon for this item. May be `null`.
  `disabledIcon` - A disabled icon for this item. May be `null`.
  `hoverIcon` - A hover icon for this item. May be `null`.
  `label` - A label for this item. May be `null`.
  `mnemonic` - A mnemonic for this item to be applied to the label. May be `null`.
  `tooltip` - A tooltip for this item. May be `null`. Tooltips are currently only valid for toolbar contributions.
  `style` - The style of this menu contribution. See the STYLE_* constants.

### Method Detail

#### getCommand

    public ParameterizedCommand getCommand()

Returns the ParameterizedCommand for this contribution.

NOTE: The returned object should be treated as 'read-only', do not execute this instance or attempt to modify its state.

Returns:
  The parameterized command for this contribution.
Since:
  3.5

#### fill

    public void fill(Menu parent,
                     int index)

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`

#### fill

    public void fill(Composite parent)

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`

#### fill

    public void fill(ToolBar parent,
                     int index)

Specified by:
  `fill` in interface `IContributionItem`
Overrides:
  `fill` in class `ContributionItem`

#### update

    public void update()

Specified by:
  `update` in interface `IContributionItem`
Overrides:
  `update` in class `ContributionItem`

#### update

    public void update(java.lang.String id)

Specified by:
  `update` in interface `IContributionItem`
Overrides:
  `update` in class `ContributionItem`

#### setParent

    public void setParent(IContributionManager parent)

Specified by:
  `setParent` in interface `IContributionItem`
Overrides:
  `setParent` in class `ContributionItem`

#### dispose

    public void dispose()

Specified by:
  `dispose` in interface `IContributionItem`
Overrides:
  `dispose` in class `ContributionItem`

#### setIcon

    public void setIcon(ImageDescriptor desc)

#### isEnabled

    public boolean isEnabled()

Specified by:
  `isEnabled` in interface `IContributionItem`
Overrides:
  `isEnabled` in class `ContributionItem`

#### isVisible

    public boolean isVisible()

Specified by:
  `isVisible` in interface `IContributionItem`
Overrides:
  `isVisible` in class `ContributionItem`
Since:
  3.4

#### getData

    public CommandContributionItemParameter getData()

Provide info on the rendering data contained in this item.

Returns:
  a `CommandContributionItemParameter`. Valid fields are serviceLocator, id, style, icon, disabledIcon, hoverIcon, label, helpContextId, mnemonic, tooltip. The Object will never be `null`, although any of the fields may be `null`.
Since:
  3.100

#### setLabel

    public void setLabel(java.lang.String label)